window.MultipleChoiceTestData = {
    // Optional: Wie viele Versuche hat der/die Lernende (Standardwert: Unendlich)
    "maxTries": 1,

    // Optional: Soll statt der Anzahl an nötigen Versuchen bewertet werden, wie gut der/die Lernende abschneidet?
    "reportScore": false,

    // Optional: Sollen die Fragen nicht durchgemischt werden?
    "keepOrder": false,

    // Optional: Wie soll bewertet werden?
    // "questions"  → Standardwert, Frage kann entweder richtig sein (1 von 1 Punkt) oder falsch (0 von 1 Punkt)
    // "average"    → Durchschnittlicher Prozentsatz an richtig ausgewählten bzw. richtig nicht ausgewählten Antwortmöglichkeiten pro auswählbaren Antwortmöglichkeiten bei jeder Frage
    // "choices"    → Anteil der richtig ausgewählten Antwortmöglichkeiten pro auswählbaren Antwortmöglichkeiten
    "countMode": "questions",

    // Wie viele Fragen sollen für einen Test gezogen werden?
    "questionsPerTest": 8,

    // Welcher Anteil muss mindestens richtig sein, um zu bestehen?
    "threshold": 1,

    // Optional: Begrüßungstext
    "htmlIntro": "<p>Entscheide, ob die beschriebenen Experimente erlaubt sind. Aber Achtung: Du hast nur einen einzigen Versuch…</p><style>figure {text-align:center;} figure img {height:auto;width:auto;max-width:100%;max-height:50vh}</style>",

    // Verfügbare Fragen
    "questions": [],

    // Fragengeneratoren
    "generators": [
        // Nur eine Frage im Fragenkatalog belassen
        function(arrFragen) {
            if (!arrFragen.length)
                return;
            var index = Math.floor(Math.random() * arrFragen.length);
            while (arrFragen.length > index + 1)
                arrFragen.pop();
            for (index; index; --index)
                arrFragen.shift();
        },
        // Aufbaupläne
        function(arrFragen) {
            var imgs = ['e-3-no-01.svg', 'e-3-ok-01.svg', 'e-3-ok-02.svg', 'e-4-no-01.svg', 'e-4-no-02.svg', 'e-4-no-03.svg', 'e-5-no-01.svg', 'h-3-ok-01.svg', 'h-4-ok-01.svg', 'h-5-ok-01.svg', 'v-1-ok-01.svg', 'v-2-ok-01.svg', 'v-2-ok-03.svg', 'v-2-ok-04.svg', 'v-3-no-01.svg', 'v-3-no-02.svg', 'v-3-ok-01.svg', 'v-4-no-01.svg', 'v-4-no-02.svg', 'v-4-no-03.svg', 'v-4-no-04.svg', 'v-6-no-01.svg'];

            imgs = imgs.map(function(v) {                           // Eintrag um Zufallszahl ergänzen
                return { value: v, rand: Math.random() };
            }).sort(function(a, b) {                                // Zufällige Reihenfolge
                return a.rand - b.rand;
            }).slice(0, 7                                           // Nur gewünschte Anzahl an Einträgen übernehmen
            ).map(function(src, index) {                            // Aus Dateinamen Fragen zusammenbauen
                src = src.value;
                var frage = {
                    "keepOrder": true,
                    "singlechoice": true,
                    "choices": [
                        { "html": "Ja, diese Schaltung darf so gebaut und getestet werden" },
                        { "html": "Nein, diese Schaltung darf <strong>nicht</strong> so gebaut und getestet werden" }
                    ]
                };
                // Fragentext aufbauen
                frage.html = 'Darfst du laut Faustregel die folgende Schaltung aufbauen:<figure><img src="' + src + '" alt="" /></figure>';
                frage.choices[(src.split('-')[2] == 'ok') ? 0 : 1].correct = true;
                return frage;
            }).map(function(frage) {                                    // Fragen in Fragensammlung übernehmen
                arrFragen.push(frage)
            });
        }
    ]
}
